dba_popen
dba_sync
DBA-Funktionen
PHP Manual

# dba_replace

(PHP 4, PHP 5)

dba_replace — Ersetzt einen Eintrag oder fügt ihn ein

### Beschreibung

bool dba_replace ( string `$key` , string `$value` , resource `$handle` )

dba_replace() ersetzt in der durch `handle` spezifizierten Datenbank den Eintrag, der durch `key` und `value` beschrieben wird, oder fügt ihn ein.

### Parameter-Liste

`key`

  Der Schlüssel des zu ersetzenden Eintrags.

`value`

  Der Wert, der ersetzt werden soll.

`Verbindungskennung`

  Die Datenbank-Verbindungskennung, die von dba_open() oder dba_popen() zurückgegeben wurde.

### Rückgabewerte

Gibt bei Erfolg `TRUE` zurück. Im Fehlerfall wird `FALSE` zurückgegeben.

### Siehe auch

- dba_exists() - Überprüft, ob ein angegebener Schlüssel existiert
- dba_delete() - Löscht den zum angegebenen Schlüssel gehörigen DBA-Eintrag
- dba_fetch() - Liest die Daten zu einem angegebenen Schlüssel aus
- dba_insert() - Fügt einen Eintrag ein

dba_popen
dba_sync
DBA-Funktionen
PHP Manual